%***Výprahování obrazu***

temp.prah.vel = size(pamet.upraveny_obraz.prah_a);%zjistění velikosti spojitého rozložení prahů
for x = 1:1:temp.prah.vel(2)
     for y = 1:1:temp.prah.vel(1)
         if pamet.upraveny_obraz.img(y,x,1)<pamet.upraveny_obraz.prah_a(y,x) %vyprahování jendotlivých pixelů
             vyprahovano(y,x)=0;
         else
             vyprahovano(y,x)=1;
         end
     end
end

set(findobj('Tag','Kontrolka_vzprah'),'BackgroundColor','green');             % obarvi kontrolku ze je krok dokoncen